# Error codes

In general, we recommend that you build your application's error-handling logic around `code` values and `details` payload properties. These properties and their values better reflect the underlying error. As `message` is part of the value, the code name does not have a dedicated property in the API error response payload. However, we recommend that you do not rely on the code name to build error-handling logic, because the code name will eventually be deprecated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
